<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="Report">
    <head>
      <style type="text/css">
        .tableNoBorder
        {
        cellspacing: 0;
        font-size: 9pt;
        width: 100%;
        border: 0px solid #c0c0c0;
        repeat-header:yes;
        repeat-footer:yes;
        }
        .textNomComplet
        {
        color:#008000;
        margin: 1px, 0;
        text-align: center;
        font-size: 18pt;
        font-weight: bold;
		font-style: italic;
        }
        .textNomFrancais
        {
        margin: 1px, 0;
        color:#008000;
        text-align: center;
        font-size: 18pt;
        }
        .textTitreCarte
        {
        margin: 1px, 0;
        color:#008000;
		vertical-align:middle;
		padding-top: 7px;
        text-align: center;
        font-size: 14pt;
        }
        .textNo
        {
        margin: 1px, 0;
        color:#008000;
        text-align: center;
        font-size: 12pt;
        }
        .textNormal
        {
        text-align: center;
        vertical-align:middle;
        font-size:9pt;
        }
        .textNormalBold
        {
        font-weight: bold;
        text-align: left;
        font-size:11pt;
        margin: 8px, 0;
        }
        .textNormalLeft
        {
        text-align: left;
        font-size:9pt;
        margin: 2px, 0;
        }
        .h_Title
        {
        width:100%;
        font-weight: bold;
        text-align:middle;
        vertical-align:middle;
        background-color:#b6d79f;
        font-size:11pt;
        padding-top:5px;
        padding-bottom:5px;
        }
        .hi1
        {
        width:20%;
        text-align:left;
        font-size:10pt;
        font-weight: bold;
        }
        .hi2
        {
        width:35%;
        text-align:left;
        font-size:10pt;
        font-weight: bold;
        }
        .hi3
        {
        width:30%;
        text-align:left;
        font-size:10pt;
        font-weight: bold;
        }
        .hi4
        {
        width:15%;
        text-align:left;
        font-size:10pt;
        font-weight: bold;
        }
      </style>
    </head>
    <html>
      <body>
        <div >
          <br></br>
          <p class="textNomComplet">
            <xsl:value-of select="nomComplet"/>
          </p>
          <p class="textNomFrancais">
            <xsl:value-of select="nomFrancais"/>
          </p>
          <p class="textNo">
            <xsl:choose>
              <xsl:when test="noInventaire=''">
                N de l'arbre: <xsl:value-of select="idArbre"/>
              </xsl:when>
              <xsl:otherwise>
                N d'inventaire: <xsl:value-of select="noInventaire"/>
              </xsl:otherwise>
            </xsl:choose>
          </p>
          <br></br>
          <table class="tableNoBorder">
            <tr>
              <th class="h_Title"> Description / Identit</th>
            </tr>
          </table>
          <table class="tableNoBorder">
            <tr>
              <th style="width:60%;"></th>
              <th style="width:40%;"></th>
            </tr>
            <tr>
              <td>
                <br></br>
                <p class="textNormalBold" >Localisation</p>
                <p class="textNormalLeft" >
                  Adresse: <xsl:value-of select="adresse"/>
                </p>
                <p class="textNormalLeft" >
                  Parcelle: <xsl:value-of select="parcelle"/>
                </p>
                <p class="textNormalLeft" >
                  Route cantonale: <xsl:value-of select="routeCantonale"/>
                </p>
                <p class="textNormalBold" >Date de plantation</p>
				<xsl:choose>
					<xsl:when test="dtPlantationEstimee='1'">
						<p class="textNormalLeft" >
							 <xsl:value-of select="dtPlantation"/> (estime) 
						</p>
					</xsl:when>
					<xsl:otherwise>
						<p class="textNormalLeft" >
							<xsl:value-of select="dtPlantation"/>
						</p>
					</xsl:otherwise>
				</xsl:choose>
                <p class="textNormalBold" >Dimensions</p>
                <xsl:choose>
					<xsl:when test="circonference='Non dfinie'">
						<p class="textNormalLeft" >
							Circonfrence tronc: <xsl:value-of select="circonference"/>
						</p>
					</xsl:when>
					<xsl:otherwise>
						<p class="textNormalLeft" >
							Circonfrence tronc: <xsl:value-of select="circonference"/> cm (<xsl:value-of select="dtCirconference"/>)
						</p>
					</xsl:otherwise>
                </xsl:choose>
                <xsl:choose>
					<xsl:when test="tailleCouronne='Non dfinie'">
						<p class="textNormalLeft" >
							Taille couronne: <xsl:value-of select="tailleCouronne"/>
						</p>
					</xsl:when>
					<xsl:otherwise>
						<p class="textNormalLeft" >
							Taille couronne: <xsl:value-of select="tailleCouronne"/> m (<xsl:value-of select="dttailleCouronne"/>)
						</p>
					</xsl:otherwise>
                </xsl:choose>
                <xsl:choose>
					<xsl:when test="hauteurTotale='Non dfinie'">
						<p class="textNormalLeft" >
							HauteurTotale: <xsl:value-of select="hauteurTotale"/>
						</p>
					</xsl:when>
					<xsl:otherwise>
						<p class="textNormalLeft" >
							HauteurTotale: <xsl:value-of select="hauteurTotale"/> m (<xsl:value-of select="dthauteurTotale"/>)
						</p>
					</xsl:otherwise>
                </xsl:choose>
                <p class="textNormalBold" >Mode de gestion</p>
                <p class="textNormalLeft" >
                  <xsl:value-of select="modeGestion"/>
                </p>
                <p class="textNormalBold" >Units de gestion (actives)</p>
                <p class="textNormalLeft" >
                  <xsl:value-of select="listUg"/>
                </p>
              </td>
              <td style="vertical-align:middle;">
                <img src="{photoRef}" />
              </td>
            </tr>
          </table>
          <br></br>
          <table class="tableNoBorder">
            <tr>
              <th class="h_Title"> Interventions sur l'arbre </th>
            </tr>
          </table>
          <br></br>
          <div style="width:100%">
            <table class="tableNoBorder" >
              <tr>
                <th class="hi2">
                  <span>Nom de l'intervention</span>
                </th>
                <th class="hi3">
                  <span>Type de l'intervention</span>
                </th>
                <th class="hi1">
                  <span>Effectue le</span>                 
                </th>
                <th class="hi4">
                  <span>A faire le</span>
                </th>
              </tr>
              <xsl:for-each select="Interventions/InterventionData">
                <tr>
                  <td class="textNormalLeft" >
                    <xsl:value-of select="nom"/>
                  </td>
                  <td class="textNormalLeft" >
                    <xsl:value-of select="type"/>
                  </td>
                  <td class="textNormalLeft" >
                    <xsl:value-of select="dtEffectuee"/>
                  </td>
                  <td class="textNormalLeft" >
					<xsl:choose>
						<xsl:when test="dtEffectuee=''">
							<xsl:value-of select="dtAFaire"/>
						</xsl:when>
						<xsl:otherwise>
						</xsl:otherwise>
					</xsl:choose>
                  </td>
                </tr>
              </xsl:for-each>
            </table>
          </div>
          <br></br>
          <table class="tableNoBorder">
            <tr>
              <th class="h_Title">  Donnes administratives </th>
            </tr>
          </table>
          <br></br>
          <div class="textNormalLeft">
            N de requte abattage: <xsl:value-of select="noRequeteAb"/>
          </div>
			<xsl:choose>
				<xsl:when test="typeDommage='Non dfinie'">
				  <div class="textNormalLeft">
					Dommages causs: <xsl:value-of select="typeDommage"/>
				  </div>
				</xsl:when>
				<xsl:otherwise>
				  <div class="textNormalLeft">
					Dommages causs: <xsl:value-of select="typeDommage"/> (<xsl:value-of select="dtDommage"/>)
				  </div>
				</xsl:otherwise>
			</xsl:choose>
          <br></br>
          <br></br>
          <table class="tableNoBorder">
            <tr>
              <th class="h_Title"> Remarque </th>
            </tr>
          </table>
          <br></br>
          <div class="textNormalLeft" >
            <span>
              <xsl:value-of select="remarques"/>
            </span>
          </div>
        </div>
        <p style="page-break-before: always;">
          <br></br>
          <table cellspacing="0" style="width:90%;height:90%;">
            <tr>
              <td style="border:solid 2px; text-align:center; vertical-align:middle;">
                <img src="{carte}" />
              </td>
            </tr>
          </table>
          <table cellspacing="0" style="width:90%;height:20%;">
            <tr>
				<td class="textTitreCarte" >
                    <xsl:value-of select="titreCarte"/>
                </td>
            </tr>
          </table>
        </p>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
